#include "PortaStateTarget.h"

APortaStateTarget::APortaStateTarget()
{
	RootComponent = CreateDefaultSubobject<USceneComponent>(FName("Root"));
}

void APortaStateTarget::BeginPlay()
{
	if (FSM)
	{
		FSM->AddStateTarget(this);
	}
}
